Subject: Re: [PATCH 3/3] net: dsa: Add Vitesse VSC73xx DSA router driver

From: Andrew Lunn <[email-masked]>
Date: Mon, 4 Mar 2019 14:53:05 +0100

> I do see that neither vitesse-vsc73xx nor rtl8366 do implement the bridge
> membership callbacks, and as I don't happen to know nearly enough about DSA, I
> wonder at what moment in time does forwarding get activated between ports.

If those callbacks are not implement, it means the software bridge
does the forwarding. The hardware is not used.

The DSA model allows you to start simple and just implement something
like a port multiplexor. All frames get passed to the host, and the
host then decides what to do with them.

You can then add more callbacks and make more use of the hardware,
e.g. get the hardware to bridge between ports.

If the hardware is not capable of supporting vlan filtering, but you
can support simpler modes, you should implement what you can, and
return an error when asked to do something which it cannot support.

       Andrew